# SettingDescBase Struct Reference

## Data Fields
const char * | name
| name of the setting. Used in configuration file and for console
const void * | def
| default value given when none is present
SettingDescType | cmd
| various flags for the variable
SettingGuiFlag | flags
| handles how a setting would show up in the GUI (text/currency, etc.)
int32 | min
| minimum values
uint32 | max
| maximum values
int32 | interval
| the interval to use between settings in the 'settings' window. If interval is '0' the interval is dynamically determined
const char * | many
| ONE/MANY_OF_MANY: string of possible values for this type.
StringID | str
| (translated) string with descriptive text; gui and console
OnChange * | proc
| callback procedure for when the value is changed
OnConvert * | proc_cnvt
| callback procedure when loading value mechanism fails

## Detailed Description

Definition at line 59 of file settings_internal.h.

The documentation for this struct was generated from the following file:

- src/settings_internal.h